Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network229.3.28.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
229.3.28.0
Broadcast address
229.3.31.255
First usable
229.3.28.1
Last usable
229.3.31.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E5031C00 · Integer 3842186240 to 3842187263
Reverse DNS zones
28.3.229.in-addr.arpa
29.3.229.in-addr.arpa
30.3.229.in-addr.arpa
31.3.229.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100101.00000011.00011100.00000000229.3.28.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network11100101.00000011.00011100.00000000229.3.28.0
Broadcast11100101.00000011.00011111.11111111229.3.31.255
Split into smaller subnets/29

229.3.28.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1229.3.28.0/29229.3.28.1 to 229.3.28.6229.3.28.76
2229.3.28.8/29229.3.28.9 to 229.3.28.14229.3.28.156
3229.3.28.16/29229.3.28.17 to 229.3.28.22229.3.28.236
4229.3.28.24/29229.3.28.25 to 229.3.28.30229.3.28.316
5229.3.28.32/29229.3.28.33 to 229.3.28.38229.3.28.396
6229.3.28.40/29229.3.28.41 to 229.3.28.46229.3.28.476
7229.3.28.48/29229.3.28.49 to 229.3.28.54229.3.28.556
8229.3.28.56/29229.3.28.57 to 229.3.28.62229.3.28.636
9229.3.28.64/29229.3.28.65 to 229.3.28.70229.3.28.716
10229.3.28.72/29229.3.28.73 to 229.3.28.78229.3.28.796
11229.3.28.80/29229.3.28.81 to 229.3.28.86229.3.28.876
12229.3.28.88/29229.3.28.89 to 229.3.28.94229.3.28.956
13229.3.28.96/29229.3.28.97 to 229.3.28.102229.3.28.1036
14229.3.28.104/29229.3.28.105 to 229.3.28.110229.3.28.1116
15229.3.28.112/29229.3.28.113 to 229.3.28.118229.3.28.1196
16229.3.28.120/29229.3.28.121 to 229.3.28.126229.3.28.1276
17229.3.28.128/29229.3.28.129 to 229.3.28.134229.3.28.1356
18229.3.28.136/29229.3.28.137 to 229.3.28.142229.3.28.1436
19229.3.28.144/29229.3.28.145 to 229.3.28.150229.3.28.1516
20229.3.28.152/29229.3.28.153 to 229.3.28.158229.3.28.1596
21229.3.28.160/29229.3.28.161 to 229.3.28.166229.3.28.1676
22229.3.28.168/29229.3.28.169 to 229.3.28.174229.3.28.1756
23229.3.28.176/29229.3.28.177 to 229.3.28.182229.3.28.1836
24229.3.28.184/29229.3.28.185 to 229.3.28.190229.3.28.1916
25229.3.28.192/29229.3.28.193 to 229.3.28.198229.3.28.1996
26229.3.28.200/29229.3.28.201 to 229.3.28.206229.3.28.2076
27229.3.28.208/29229.3.28.209 to 229.3.28.214229.3.28.2156
28229.3.28.216/29229.3.28.217 to 229.3.28.222229.3.28.2236
29229.3.28.224/29229.3.28.225 to 229.3.28.230229.3.28.2316
30229.3.28.232/29229.3.28.233 to 229.3.28.238229.3.28.2396
31229.3.28.240/29229.3.28.241 to 229.3.28.246229.3.28.2476
32229.3.28.248/29229.3.28.249 to 229.3.28.254229.3.28.2556
33229.3.29.0/29229.3.29.1 to 229.3.29.6229.3.29.76
34229.3.29.8/29229.3.29.9 to 229.3.29.14229.3.29.156
35229.3.29.16/29229.3.29.17 to 229.3.29.22229.3.29.236
36229.3.29.24/29229.3.29.25 to 229.3.29.30229.3.29.316
37229.3.29.32/29229.3.29.33 to 229.3.29.38229.3.29.396
38229.3.29.40/29229.3.29.41 to 229.3.29.46229.3.29.476
39229.3.29.48/29229.3.29.49 to 229.3.29.54229.3.29.556
40229.3.29.56/29229.3.29.57 to 229.3.29.62229.3.29.636
41229.3.29.64/29229.3.29.65 to 229.3.29.70229.3.29.716
42229.3.29.72/29229.3.29.73 to 229.3.29.78229.3.29.796
43229.3.29.80/29229.3.29.81 to 229.3.29.86229.3.29.876
44229.3.29.88/29229.3.29.89 to 229.3.29.94229.3.29.956
45229.3.29.96/29229.3.29.97 to 229.3.29.102229.3.29.1036
46229.3.29.104/29229.3.29.105 to 229.3.29.110229.3.29.1116
47229.3.29.112/29229.3.29.113 to 229.3.29.118229.3.29.1196
48229.3.29.120/29229.3.29.121 to 229.3.29.126229.3.29.1276
49229.3.29.128/29229.3.29.129 to 229.3.29.134229.3.29.1356
50229.3.29.136/29229.3.29.137 to 229.3.29.142229.3.29.1436
51229.3.29.144/29229.3.29.145 to 229.3.29.150229.3.29.1516
52229.3.29.152/29229.3.29.153 to 229.3.29.158229.3.29.1596
53229.3.29.160/29229.3.29.161 to 229.3.29.166229.3.29.1676
54229.3.29.168/29229.3.29.169 to 229.3.29.174229.3.29.1756
55229.3.29.176/29229.3.29.177 to 229.3.29.182229.3.29.1836
56229.3.29.184/29229.3.29.185 to 229.3.29.190229.3.29.1916
57229.3.29.192/29229.3.29.193 to 229.3.29.198229.3.29.1996
58229.3.29.200/29229.3.29.201 to 229.3.29.206229.3.29.2076
59229.3.29.208/29229.3.29.209 to 229.3.29.214229.3.29.2156
60229.3.29.216/29229.3.29.217 to 229.3.29.222229.3.29.2236
61229.3.29.224/29229.3.29.225 to 229.3.29.230229.3.29.2316
62229.3.29.232/29229.3.29.233 to 229.3.29.238229.3.29.2396
63229.3.29.240/29229.3.29.241 to 229.3.29.246229.3.29.2476
64229.3.29.248/29229.3.29.249 to 229.3.29.254229.3.29.2556
65229.3.30.0/29229.3.30.1 to 229.3.30.6229.3.30.76
66229.3.30.8/29229.3.30.9 to 229.3.30.14229.3.30.156
67229.3.30.16/29229.3.30.17 to 229.3.30.22229.3.30.236
68229.3.30.24/29229.3.30.25 to 229.3.30.30229.3.30.316
69229.3.30.32/29229.3.30.33 to 229.3.30.38229.3.30.396
70229.3.30.40/29229.3.30.41 to 229.3.30.46229.3.30.476
71229.3.30.48/29229.3.30.49 to 229.3.30.54229.3.30.556
72229.3.30.56/29229.3.30.57 to 229.3.30.62229.3.30.636
73229.3.30.64/29229.3.30.65 to 229.3.30.70229.3.30.716
74229.3.30.72/29229.3.30.73 to 229.3.30.78229.3.30.796
75229.3.30.80/29229.3.30.81 to 229.3.30.86229.3.30.876
76229.3.30.88/29229.3.30.89 to 229.3.30.94229.3.30.956
77229.3.30.96/29229.3.30.97 to 229.3.30.102229.3.30.1036
78229.3.30.104/29229.3.30.105 to 229.3.30.110229.3.30.1116
79229.3.30.112/29229.3.30.113 to 229.3.30.118229.3.30.1196
80229.3.30.120/29229.3.30.121 to 229.3.30.126229.3.30.1276
81229.3.30.128/29229.3.30.129 to 229.3.30.134229.3.30.1356
82229.3.30.136/29229.3.30.137 to 229.3.30.142229.3.30.1436
83229.3.30.144/29229.3.30.145 to 229.3.30.150229.3.30.1516
84229.3.30.152/29229.3.30.153 to 229.3.30.158229.3.30.1596
85229.3.30.160/29229.3.30.161 to 229.3.30.166229.3.30.1676
86229.3.30.168/29229.3.30.169 to 229.3.30.174229.3.30.1756
87229.3.30.176/29229.3.30.177 to 229.3.30.182229.3.30.1836
88229.3.30.184/29229.3.30.185 to 229.3.30.190229.3.30.1916
89229.3.30.192/29229.3.30.193 to 229.3.30.198229.3.30.1996
90229.3.30.200/29229.3.30.201 to 229.3.30.206229.3.30.2076
91229.3.30.208/29229.3.30.209 to 229.3.30.214229.3.30.2156
92229.3.30.216/29229.3.30.217 to 229.3.30.222229.3.30.2236
93229.3.30.224/29229.3.30.225 to 229.3.30.230229.3.30.2316
94229.3.30.232/29229.3.30.233 to 229.3.30.238229.3.30.2396
95229.3.30.240/29229.3.30.241 to 229.3.30.246229.3.30.2476
96229.3.30.248/29229.3.30.249 to 229.3.30.254229.3.30.2556
97229.3.31.0/29229.3.31.1 to 229.3.31.6229.3.31.76
98229.3.31.8/29229.3.31.9 to 229.3.31.14229.3.31.156
99229.3.31.16/29229.3.31.17 to 229.3.31.22229.3.31.236
100229.3.31.24/29229.3.31.25 to 229.3.31.30229.3.31.316
101229.3.31.32/29229.3.31.33 to 229.3.31.38229.3.31.396
102229.3.31.40/29229.3.31.41 to 229.3.31.46229.3.31.476
103229.3.31.48/29229.3.31.49 to 229.3.31.54229.3.31.556
104229.3.31.56/29229.3.31.57 to 229.3.31.62229.3.31.636
105229.3.31.64/29229.3.31.65 to 229.3.31.70229.3.31.716
106229.3.31.72/29229.3.31.73 to 229.3.31.78229.3.31.796
107229.3.31.80/29229.3.31.81 to 229.3.31.86229.3.31.876
108229.3.31.88/29229.3.31.89 to 229.3.31.94229.3.31.956
109229.3.31.96/29229.3.31.97 to 229.3.31.102229.3.31.1036
110229.3.31.104/29229.3.31.105 to 229.3.31.110229.3.31.1116
111229.3.31.112/29229.3.31.113 to 229.3.31.118229.3.31.1196
112229.3.31.120/29229.3.31.121 to 229.3.31.126229.3.31.1276
113229.3.31.128/29229.3.31.129 to 229.3.31.134229.3.31.1356
114229.3.31.136/29229.3.31.137 to 229.3.31.142229.3.31.1436
115229.3.31.144/29229.3.31.145 to 229.3.31.150229.3.31.1516
116229.3.31.152/29229.3.31.153 to 229.3.31.158229.3.31.1596
117229.3.31.160/29229.3.31.161 to 229.3.31.166229.3.31.1676
118229.3.31.168/29229.3.31.169 to 229.3.31.174229.3.31.1756
119229.3.31.176/29229.3.31.177 to 229.3.31.182229.3.31.1836
120229.3.31.184/29229.3.31.185 to 229.3.31.190229.3.31.1916
121229.3.31.192/29229.3.31.193 to 229.3.31.198229.3.31.1996
122229.3.31.200/29229.3.31.201 to 229.3.31.206229.3.31.2076
123229.3.31.208/29229.3.31.209 to 229.3.31.214229.3.31.2156
124229.3.31.216/29229.3.31.217 to 229.3.31.222229.3.31.2236
125229.3.31.224/29229.3.31.225 to 229.3.31.230229.3.31.2316
126229.3.31.232/29229.3.31.233 to 229.3.31.238229.3.31.2396
127229.3.31.240/29229.3.31.241 to 229.3.31.246229.3.31.2476
128229.3.31.248/29229.3.31.249 to 229.3.31.254229.3.31.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses